## pstoedit 2.3.3

=== Makefile ===
# Makefile for pstoedit. 

BINDIR=debian-tmp/usr/bin
LIBDIR=debian-tmp/usr/lib/pstoedit
MANDIR=debian-tmp/usr/man

#CC=SCC4 +w
#CC=clCC +w
CC=g++ -Wall
CFLAGS=-g 

# No changes should be necessary below this line

VERSION=2.3.3
CPPSOURCES=drvMIF.c drvTGIF.c drvFIG.c drvbase.c drvexample.c lex.yy.c
OTHERSOURCES=makeedit.l pstoedit pstoedit.pro
HEADERS=drvMIF.h drvTGIF.h drvFIG.h drvbase.h drvexample.h drvgeneral.h 
EXAMPLES=illusion.ps escher.triang.ps spiral.ps

SHAROBJECTS=COPYING README HISTORY PROBLEMS Makefile pstoedit.man $(CPPSOURCES) $(HEADERS) $(OTHERSOURCES) $(EXAMPLES)

#OBJECTS=lex.yy.o drvbase.o drvTGIF.o drvMIF.o drvFIG.o drvCGM.o drvPDF.o 
OBJECTS=lex.yy.o drvbase.o drvTGIF.o drvMIF.o drvFIG.o 

# this does not work with GNU make
#OBJECTS:sh =ls drv*.c | sed 's/\.c/\.o/'
#OBJECTS += lex.yy.o

makeedit: $(OBJECTS)
	$(CC) -o makeedit $(CFLAGS) $(OBJECTS) -ll

lex.yy.c: makeedit.l 
	flex  -8 makeedit.l 

config.h: Makefile
	@echo "// generated by pstoedit makefile " > config.h
	if [ -f drvCGM.c ] ; then \
		echo "#define WITHCGM 1" > config.h ;\
	fi
	if [ -f drvPDF.c ] ; then \
		echo "#define WITHPDF 1" > config.h ;\
	fi
clean:
	rm -f core makeedit $(OBJECTS)

test: makeedit
	pstoedit -f tgif illusion.ps 
	tgif illusion.ps.obj
	pstoedit -m 2 -f tgif illusion.ps 
	tgif illusion.ps.obj
	pstoedit -dt -f tgif illusion.ps 
	tgif illusion.ps.obj
	pstoedit -f tgif escher.triang.ps 
	tgif escher.triang.ps.obj
	pstoedit -f fig spiral.ps
	xfig spiral.ps.fig
	groff -man pstoedit.man > pstoedit.man.ps
	pstoedit -f ps pstoedit.man.ps
	gs pstoedit.man.ps.ps
	pstoedit -f mif illusion.ps
	pstoedit -f mif escher.triang.ps


install: makeedit pstoedit.pro pstoedit pstoedit.man
	install makeedit pstoedit $(BINDIR)
	install pstoedit.pro $(LIBDIR)
	install pstoedit.man $(MANDIR)/man1/pstoedit.1

shar: pstoedit.shar
tar : pstoedit.$(VERSION).tar.gz pstoedit.$(VERSION).tar.gz.uu

pstoedit.shar: $(SHAROBJECTS)
	shar $(SHAROBJECTS) > pstoedit.shar

pstoedit.$(VERSION).tar.gz : $(SHAROBJECTS)
	if [ ! -d pstoedit_$(VERSION) ] ; then \
		mkdir pstoedit_$(VERSION);\
	fi
	cp $(SHAROBJECTS) pstoedit_$(VERSION);
	tar cvf - pstoedit_$(VERSION) | gzip >  pstoedit.$(VERSION).tar.gz 

pstoedit.$(VERSION).tar.gz.uu: pstoedit.$(VERSION).tar.gz
	uuencode pstoedit.$(VERSION).tar.gz pstoedit.$(VERSION).tar.gz > pstoedit.$(VERSION).tar.gz.uu

mtest:	
	echo $(OBJECTS)
depend: 
	makedepend $(CPPSOURCES)
# DO NOT DELETE

# drvCGM.o: drvCGM.h drvbase.h drvgeneral.h
# drvPDF.o: drvPDF.h drvbase.h drvgeneral.h
drvFIG.o: drvFIG.h drvbase.h drvgeneral.h
drvMIF.o: drvMIF.h drvbase.h drvgeneral.h
drvTGIF.o: drvTGIF.h drvbase.h drvgeneral.h
drvbase.o: drvbase.h
drvexample.o: drvbase.h drvexample.h drvgeneral.h
lex.yy.o: drvFIG.h drvMIF.h drvTGIF.h drvbase.h config.h
lex.yy.o: drvgeneral.h makeedit.l

=== debian/changelog ===
pstoedit (2.3.3-3) unstable; urgency=low
  * Converted to new source format
  * stripted makeedit
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 1 Jan 1997 20:45:28 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Priority: Optional
Section: graphics
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 2.1.1.0

Package: pstoedit
Architecture: any
Depends: ${shlibs:Depends}, gs
Recommends: xfig,tgif
Description: Converts ps files into edditable files for xfig/tgif,
 pstoedit allows to convert Postscript(TM) files to a simple vector graphic
 format, that can be edited. Currently tgif, xfig, and Framemaker(TM)
 (MIF-format) and flat PostScript are supported.  pstoedit works by
 redefining the basic painting operators of Postscript. Others like 
 image are not supported.

=== debian/rules ===
#!/usr/bin/make -f
#   -*- mode: makefile; -*-
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)

package=pstoedit
p=$(package)

MAKEOPTS=BINDIR=debian/tmp/usr/bin \
 LIBDIR=debian/tmp/usr/lib/pstoedit\
 MANDIR=debian/tmp/usr/man

# The next section may have to be extensively modified

build:
	make $(MAKEOPTS)

clean:
	$(MAKE) -i clean

binary-indep:   checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:    checkroot build
	-rm -rf debian/tmp
	install -m 0755 -d debian/tmp/usr/doc/$(package)/copyright\
	           debian/tmp/usr/lib/pstoedit\
		   debian/tmp/DEBIAN\
		   debian/tmp/usr/bin\
		   debian/tmp/usr/man/man1
	strip makeedit
	make  $(MAKEOPTS) install
	install -m 0644 debian/copyright debian/tmp/usr/doc/$(package)/copyright
	install -m 0644 debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	dpkg-shlibdeps makeedit
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package)
endef

# Below here is fairly generic really

binary:         binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## pstoedit 3.15

=== doc/Makefile ===
#
# Makefile for pstoedit documentation
# (adapted from `Makefile' in the latex2man package) 
# Rolf Niepraschk, niepraschk@ptb.de, 99/08/20
#

BASE = pstoedit

DVIPS_FLAGS = -Pwww                # use the type1 version of the cm fonts
LATEX2MAN_FLAGS = -t pstoedit.trans

.PHONY :    all clean realclean 
.SUFFIXES : .htm .1 .tex .ps .info .texi .txt 

all : $(BASE).1 $(BASE).htm $(BASE).txt # $(BASE).ps $(BASE).pdf $(BASE).info 
	$(MAKE) clean

%.dvi : %.tex
	latex $<
	# latex $<

%.ps : %.dvi
	dvips $(DVIPS_FLAGS) -o $@ $<

%.pdf : %.tex
	pdflatex $<
	# pdflatex $<

%.info : %.texi
	makeinfo $<

%.txt : %.1
	groff -t -man -Tlatin1 $<    |	\
		sed -e 's/.//g' 	\
		    -e 's/7|//g' 	\
		    -e 's/[6-9]//g' 	\
		    -e 's///g'      	\
		    -e 's/$$/- /'      > $@

%.1 : %.tex
	latex2man $(LATEX2MAN_FLAGS) -M $< $@

%.htm : %.tex
	latex2man $(LATEX2MAN_FLAGS) -H $< $@

%.texi : %.tex
	latex2man $(LATEX2MAN_FLAGS) -T $< $@
	
%.rtf : %.1
	rman -f RTF $< > $@
	
#$(BASE).1 : $(BASE).tex $(BASE).trans

#$(BASE).htm : $(BASE).tex $(BASE).trans
	

clean :
	rm -f $(BASE).aux $(BASE).log $(BASE).dvi 

realclean : clean
	$(RM) $(BASE).ps $(BASE).pdf $(BASE).1 $(BASE).htm $(BASE).texi \
	  $(BASE).info $(BASE).txt $(BASE).rtf
	

# -- eof --

## pstoedit 3.50

=== debian/changelog ===
pstoedit (3.50-3) unstable; urgency=low

  * Remove documentation of "shareware" options (not available in the free
    software version) and regenerate manpage and HTML dcumentation with
    latex2man on build time (Closes: #554518)

 -- Roland Stigge <stigge@antcom.de>  Mon, 26 Jul 2010 00:26:34 +0200

pstoedit (3.50-2) unstable; urgency=low

  * Added watch file

 -- Roland Stigge <stigge@antcom.de>  Sun, 25 Jul 2010 17:26:12 +0200

pstoedit (3.50-1) unstable; urgency=low

  * New upstream release (Closes: #559540)
    - Includes -q option (Closes: #506308)
    - Fixes std garbage output (Closes: #223472)
    - Fixes unescaped gs call via shell (Closes: #582471)
  * New maintainer (Closes: #585060)
  * debian/control:
    - Standards-Version: 3.9.0
    - Build-Depends: autoconf, automake (now autoreconf at package build time)
  * Moved to new package source format 3.0 (quilt)
  * Added patch to redirect error messages to stderr (Closes: #551125)

 -- Roland Stigge <stigge@antcom.de>  Sun, 25 Jul 2010 16:49:10 +0200

pstoedit (3.45-8) unstable; urgency=high

  * [debian/control] Fixed typo that caused features to be disabled due to
    build dependencies being missed. Thanks Antonio Ospite
    <ospite@studenti.unina.it>. (Closes: #531406)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 10 Jun 2009 20:38:31 +0200

pstoedit (3.45-7) unstable; urgency=high

  * Patch courtesy of Thomas Viehmann <tv@beamnet.de>:
    Disable unloading of plugins (comment out dlclose in dynload.cpp).
    This did lead to segmentation faults, apparently because something
    got deinitialized twice by plugins that were unloaded.
    However, libpstoedit does not support any way of unloading them
    except automatically calling the destructor at program termination,
    so we might just get by without unloading the libraries. (Closes: #527329)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 14 May 2009 19:35:16 +0200

pstoedit (3.45-6) unstable; urgency=medium

  * [debian/control]
    * Updated Standards-Version.
    * Fixed substvar-source-version-is-deprecated.
  * [debian/rules] Fixed debian-rules-ignores-make-clean-error.
  * [src/dynload.cpp] Replaced #elif without expression by #else. Fixes
    FTBFS with gcc 4.4. (Closes: #504825)
  * Upload to unstable. (Closes: #525064, #525573)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 26 Apr 2009 13:44:56 +0200

pstoedit (3.45-5) experimental; urgency=low

  * [debian/control] Follow ImageMagick library renaming: libmagick++9-dev 
    -> libmagick++-dev.
  * [configure.ac] Removed use of "-pedantic". Regenerated auto* generated
    files accordingly. 

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 15 Jun 2008 14:19:29 +0200

pstoedit (3.45-4) unstable; urgency=low

  * [debian/control]
    * (Build-)depend on "ghostscript" rather than "gs" for /usr/bin/gs.
      (Closes: #483371).
    * Added Homepage field.
    * Updated Standards-Version.
  * [debian/dirs] Dropped.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 15 Jun 2008 14:10:31 +0200

pstoedit (3.45-3) unstable; urgency=medium

  * [src/cppcomp.h] Added missing includes for strlen and exit. Fixes FTBFS
    with gcc 4.3. (Closes: #455434)
  * [debian/control] Tag libpstoedit-dev as section: libdevel rather than
    devel.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 24 Feb 2008 20:53:40 +0100

pstoedit (3.45-2) unstable; urgency=low

  * [debian/rules] Use -Wl,--as-needed to drop indirect dependencies.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 27 Nov 2007 21:22:35 +0100

pstoedit (3.45-1) unstable; urgency=low

  * New upstream release. Changes include:
    * Fixed a problem which caused newer versions of GhostScript to go into
      an endless loop. (Closes: #433540)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 14 Nov 2007 19:25:32 +0100

pstoedit (3.44-2) unstable; urgency=low

  * [debian/control] Removed sysutils from build dependencies; it was no
    longer needed and interfered with building on GNU/kFreeBSD. 
    (Closes: #374847)
  * [debian/control] Updated Standards-Version.
  * [doc/pstoedit.tex, doc/pstoedit.1, doc/pstoedit.htm]
    s/standalong/standalone/ (Closes: #370047)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 Mar 2007 20:33:39 +0100

pstoedit (3.44-1) unstable; urgency=low

  * New upstream release.
  * pstoedit-config has been dropped; code relying on it needs to change to
    using pkg-config instead.
    [debian/libpstoedit-dev.files, debian/pstoedit-config.sgml] Removed.
    [debian/libpstoedit-dev.files, debian/rules] Changed accordingly.
  * [debian/rules] Configure --disable-maintainer-mode.
  * Addressed in 3.43: usability improvements. (Closes: #347732)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 11 Mar 2006 10:40:55 +0100

pstoedit (3.43-2) unstable; urgency=low

  * [configure.ac, src/cppcomp.h] Use autoconf to determine endianness.
  * [configure] Regenerated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  9 Mar 2006 08:48:31 +0100

pstoedit (3.43-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules] Install pstoedit-config. This script is now deprecated
    though; code that still relies on it should be updated to use pkg-config
    instead.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  7 Mar 2006 20:49:11 +0100

pstoedit (3.42-3) unstable; urgency=medium

  * [configure.ac] Use pkg-config for ImageMagick++ information, if
    available.
  * [configure] Regenerated.
  * [debian/control] Added build dependency on pkg-config; removed indirect
    build dependencies.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 18 Dec 2005 17:01:07 +0100

pstoedit (3.42-2) unstable; urgency=medium

  * libstdc++ allocator transition (Closes: #339252)
    (http://lists.debian.org/debian-devel-announce/2005/11/msg00010.html):
    * [debian/control, debian/rules, debian/libpstoedit0c2a.files] Renamed
      runtime library from libpstoedit0c2 to libpstoedit0c2a.


=== debian/control ===
Source: pstoedit
Section: graphics
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>> 7.0.0), dh-buildinfo, docbook-to-man,
 g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
 libplot-dev (>= 2.4.1-14), libpng12-dev (>= 1.2.5.0-4), ghostscript,
 pkg-config, autoconf, automake, libtool, texlive-extra-utils
Homepage: http://www.pstoedit.net/
Standards-Version: 3.9.0

Package: libpstoedit-dev
Section: libdevel
Architecture: any
Depends: libpstoedit0c2a (= ${binary:Version}), ${misc:Depends}, libmagick++-dev, libplot-dev (>= 2.4.1-14)
Description: PostScript to editable vector graphics library (development files)
 pstoedit is a framework for converting Postscript and PDF files to various 
 editable vector graphic formats.
 .
 This package contains files to build programs that use libpstoedit.

Package: libpstoedit0c2a
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpstoedit0, libpstoedit0c2
Replaces: libpstoedit-dev (<= 3.32-3), libpstoedit0, libpstoedit0c2
Description: PostScript to editable vector graphics library (runtime files)
 pstoedit is a framework for converting Postscript and PDF files to various 
 editable vector graphic formats.

Package: pstoedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript
Suggests: xfig|ivtools-bin|tgif|transfig
Description: PostScript and PDF files to editable vector graphics converter
 pstoedit converts Postscript and PDF files to various editable 
 vector graphic formats including tgif, xfig, PDF graphics, gnuplot format,
 idraw, MetaPost, GNU Metafile, PIC, Kontour and flattened PostScript.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The debhelper compatibility version to use is now set in debian/compat.
#export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

confflags =	--disable-maintainer-mode \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		-v

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Ensure at build time that the library has no dependencies on undefined
# symbols.
LDFLAGS += -Wl,-z,defs

# Speed up loading.
LDFLAGS += -Wl,-O1

export LDFLAGS

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

upstreamversion=$(shell dpkg-parsechangelog | grep Version | head -1 | sed -e 's/Version: //g' -e 's/-[A-Za-z0-9\.]*$$//g')


config.status:
	dh_testdir
	autoreconf -if
	env CXX="c++ -Wl,--as-needed -Wl,-O1" ./configure $(confflags)

build: build-stamp
build-stamp:  config.status
	dh_testdir

	cd doc && latex2man -M -t pstoedit.trans pstoedit.tex pstoedit.1
	cd doc && latex2man -H -t pstoedit.trans pstoedit.tex pstoedit.htm
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f debian/buildinfo
	rm -rf autom4te.cache
	rm -f aclocal.m4 ltmain.sh configure config.guess config.sub depcomp
	rm -f mkinstalldirs install-sh missing src/pstoedit_config.h.in
	-find -type f -name 'Makefile.in' | xargs rm -f
	-find -type f -name 'Makefile.in' | sed -e 's/\.in$$//' | xargs rm -f
	rm -f doc/pstoedit.1 doc/pstoedit.htm

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

	@for plugin in libp2edrvstd libp2edrvmagick++ ; do \
		if ! test -r $(CURDIR)/debian/tmp/usr/lib/pstoedit/$$plugin.la ; then \
			echo "" ; \
			echo "pstoedit plugins \"$$plugin\" didn't get installed properly" ; \
			echo "Please investigate" ; \
			exit 1; \
		fi ; \
	done



binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs doc/changelog.htm
	dh_link
	dh_strip
	dh_compress
	dh_buildinfo
	dh_fixperms
	dh_makeshlibs -plibpstoedit0c2a -V 'libpstoedit0c2a (>= $(upstreamversion))'
	dh_installdeb
	dh_shlibdeps -Llibpstoedit0c2a -ldebian/libpstoedit0c2a/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pstoedit 3.51~pre1

=== debian/changelog ===
pstoedit (3.51~pre1-1) unstable; urgency=low

  * New upstream (pre-)release
    - Fixes gs call (Closes: #492125)
  * debian/control: Standards-Version: 3.9.2
  * Emptied dependency_libs in ltdl plugin .la files and removed main
    library's .la files (Closes: #633195)
  * New dh 7 style debian/rules (Closes: #593991)

 -- Roland Stigge <stigge@antcom.de>  Sun, 10 Jul 2011 12:19:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: graphics
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>> 7.0.0), dh-buildinfo, docbook-to-man,
+Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, docbook-to-man,
  g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
  libplot-dev (>= 2.4.1-14), libpng12-dev (>= 1.2.5.0-4), ghostscript,
  pkg-config, autoconf, automake, libtool, texlive-extra-utils
 Homepage: http://www.pstoedit.net/
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 
 Package: libpstoedit-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	autoreconf -if
	CXX="c++ -Wl,--as-needed -Wl,-O1" dh_auto_configure

override_dh_auto_build:
	cd doc && latex2man -M -t pstoedit.trans pstoedit.tex pstoedit.1
	cd doc && latex2man -H -t pstoedit.trans pstoedit.tex pstoedit.htm
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/buildinfo
	rm -rf autom4te.cache
	rm -f aclocal.m4 ltmain.sh configure config.guess config.sub depcomp
	rm -f mkinstalldirs install-sh missing src/pstoedit_config.h.in
	-find -type f -name 'Makefile.in' | xargs rm -f
	-find -type f -name 'Makefile.in' | sed -e 's/\.in$$//' | xargs rm -f
	rm -rf m4
	rm -f doc/pstoedit.1 doc/pstoedit.htm

override_dh_auto_install:
	dh_auto_install
	
	@for plugin in libp2edrvstd libp2edrvmagick++ libp2edrvlplot ; do \
		if ! test -r $(CURDIR)/debian/tmp/usr/lib/pstoedit/$$plugin.la ; then \
			echo "" ; \
			echo "pstoedit plugins \"$$plugin\" didn't get installed properly" ; \
			echo "Please investigate" ; \
			exit 1; \
		fi ; \
		sed -i "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/pstoedit/$$plugin.la ; \
	done

## pstoedit 3.60

=== debian/changelog ===
pstoedit (3.60-2) unstable; urgency=low

  * debian/control:
    - Build-Depends: libpng-dev instead of libpng12-dev (Closes: #662479)
    - Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Tue, 06 Mar 2012 22:51:39 +0100

pstoedit (3.60-1) unstable; urgency=low

  * New upstream release
  * Removed 04-disable-ACLOCAL_AMFLAGS.patch - not necessary anymore
  * Updated 02-errors-to-stderr.patch - adjustments to upstream source

 -- Roland Stigge <stigge@antcom.de>  Thu, 01 Sep 2011 22:18:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, docbook-to-man,
  g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
- libplot-dev (>= 2.4.1-14), libpng12-dev (>= 1.2.5.0-4), ghostscript,
- pkg-config, autoconf, automake, libtool, texlive-extra-utils
+ libplot-dev (>= 2.4.1-14), libpng-dev, ghostscript,
+ pkg-config, texlive-extra-utils, autotools-dev
 Homepage: http://www.pstoedit.net/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: libpstoedit-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,9 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
 override_dh_auto_configure:
-	autoreconf -if
 	CXX="c++ -Wl,--as-needed -Wl,-O1" dh_auto_configure
 
 override_dh_auto_build:
@@ -19,11 +18,6 @@
 	dh_auto_clean
 	rm -f debian/buildinfo
 	rm -rf autom4te.cache
-	rm -f aclocal.m4 ltmain.sh configure config.guess config.sub depcomp
-	rm -f mkinstalldirs install-sh missing src/pstoedit_config.h.in
-	-find -type f -name 'Makefile.in' | xargs rm -f
-	-find -type f -name 'Makefile.in' | sed -e 's/\.in$$//' | xargs rm -f
-	rm -rf m4
 	rm -f doc/pstoedit.1 doc/pstoedit.htm
 
 override_dh_auto_install:

## pstoedit 3.62

=== debian/changelog ===
pstoedit (3.62-1ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Dec 2013 18:16:27 +0100

pstoedit (3.62-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Standards-Version: 3.9.4
    - Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
      (for architecture.mk include)
    - libpstoedit0c2a: Pre-Depend: multiarch-support
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Sun, 05 May 2013 14:28:01 +0200

pstoedit (3.61-1) experimental; urgency=low

  * New upstream release (Closes: #685976)

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Sep 2012 14:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: graphics
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, docbook-to-man,
+Build-Depends: debhelper (>= 9), dh-buildinfo, docbook-to-man,
  g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
  libplot-dev (>= 2.4.1-14), libpng-dev, ghostscript,
- pkg-config, texlive-extra-utils, autotools-dev
+ pkg-config, texlive-extra-utils, autotools-dev, dh-autoreconf,
+ dpkg-dev (>= 1.16.1~)
 Homepage: http://www.pstoedit.net/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: libpstoedit-dev
 Section: libdevel
@@ -23,6 +24,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: multiarch-support
 Conflicts: libpstoedit0, libpstoedit0c2
 Replaces: libpstoedit-dev (<= 3.32-3), libpstoedit0, libpstoedit0c2
 Description: PostScript to editable vector graphics library (runtime files)

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/architecture.mk
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	CXX="c++ -Wl,--as-needed -Wl,-O1" dh_auto_configure
@@ -24,11 +26,11 @@
 	dh_auto_install
 	
 	@for plugin in libp2edrvstd libp2edrvmagick++ libp2edrvlplot ; do \
-		if ! test -r $(CURDIR)/debian/tmp/usr/lib/pstoedit/$$plugin.la ; then \
+		if ! test -r $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pstoedit/$$plugin.la ; then \
 			echo "" ; \
 			echo "pstoedit plugins \"$$plugin\" didn't get installed properly" ; \
 			echo "Please investigate" ; \
 			exit 1; \
 		fi ; \
-		sed -i "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/pstoedit/$$plugin.la ; \
+		sed -i "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pstoedit/$$plugin.la ; \
 	done

## pstoedit 3.70

=== debian/changelog ===
pstoedit (3.70-5) unstable; urgency=medium

  * restrict use of libEMF to architectures upon which it is available

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Aug 2017 16:42:53 +0100

pstoedit (3.70-4) unstable; urgency=medium

  * require an identical support library version
  * bump to debhelper 10
  * build with libgd
  * build with libEMF

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Jan 2017 18:02:33 +0000

pstoedit (3.70-3) unstable; urgency=medium

  * Enable pptx support via simple build dependency on libzip-dev,
    see https://bugs.launchpad.net/ubuntu/+source/pstoedit/+bug/1411907

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Oct 2016 14:55:22 +0100

pstoedit (3.70-2) unstable; urgency=medium

  * Adopt package (closes: #812753).
  * As the library has no reverse dependencies, i.e., is only used
    internally, I agree with the previous maintainer that there is no need
    for a GCC-5 library transition. This logic (closes: #791247).
  * Migrate patches to modern gbp pq import/export format.
  * Patch spelling.
  * Patch update autotools.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Oct 2016 09:57:47 +0100

pstoedit (3.70-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Peter Michael Green ]
  * Disable broken if-check in plugin load code so that plugins can be
    successfully loaded from PSTOEDITLIBDIR. (Closes: #813316)

 -- James Cowgill <jcowgill@debian.org>  Mon, 09 May 2016 22:31:45 +0100

pstoedit (3.70-1) unstable; urgency=medium

  * New upstream release
    - Doesn't contain external references with privacy and copyright
      concerns anymore (Closes: #777305)
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Fri, 22 Jan 2016 12:12:56 +0100

pstoedit (3.62-2) unstable; urgency=medium

  * Fix build on new architectures by using dh-autoreconf, thanks to
    Breno Leitao (Closes: #748131)
  * Fix loading of plugins on Hurd, thanks to Pino Toscano
    (Closes: #753987)
  * Removed google and facebook references from index.htm due to privacy and
    copyright concerns
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Sun, 31 Aug 2014 12:52:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: pstoedit
 Section: graphics
 Priority: optional
-Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 9), dh-buildinfo, docbook-to-man,
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper (>= 10), dh-buildinfo, docbook-to-man,
  g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
  libplot-dev (>= 2.4.1-14), libpng-dev, ghostscript,
- pkg-config, texlive-extra-utils, autotools-dev, dh-autoreconf,
- dpkg-dev (>= 1.16.1~)
+ pkg-config, texlive-extra-utils,
+ libzip-dev,
+ libgd-dev,
+ libemf-dev [alpha amd64 arm armeb armel armhf arm64 i386 powerpc powerpcel powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
 Homepage: http://www.pstoedit.net/
-Standards-Version: 3.9.4
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pstoedit.git
 
 Package: libpstoedit-dev
 Section: libdevel
@@ -24,7 +27,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libpstoedit0, libpstoedit0c2
 Replaces: libpstoedit-dev (<= 3.32-3), libpstoedit0, libpstoedit0c2
 Description: PostScript to editable vector graphics library (runtime files)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_BUILD_ARCH_OS),hurd)
HURD_LIBPTHREAD += -lpthread
endif

%:
	dh $@

override_dh_auto_configure:
	CXX="c++ $(HURD_LIBPTHREAD) -Wl,--as-needed -Wl,-O1" dh_auto_configure

override_dh_auto_build:
	cd doc && latex2man -M -t pstoedit.trans pstoedit.tex pstoedit.1
	cd doc && latex2man -H -t pstoedit.trans pstoedit.tex pstoedit.htm
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/buildinfo
	rm -rf autom4te.cache
	rm -f doc/pstoedit.1 doc/pstoedit.htm

override_dh_auto_install:
	dh_auto_install
	@echo "Clearing .la files dependency_libs fields per Debian policy"	
	sed --in-place "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pstoedit/*.la

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.htm

=== debian/watch ===
version=3
http://sf.net/pstoedit/pstoedit-(.*)\.tar\.gz

## pstoedit 3.73

=== debian/changelog ===
pstoedit (3.73-1) unstable; urgency=medium

  * new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Jun 2018 15:52:37 +0100

pstoedit (3.72-1) unstable; urgency=medium

  * new upstream version
  * forward port quilt patches; most have been upstreamed
  * debian/watch file version 4
  * update debian/rules per upstream mods

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 20 May 2018 17:54:31 +0100

pstoedit (3.71-1) unstable; urgency=medium

  * swizzle packaging repo to salsa
  * new upstream version (closes: #880650)
  * patch 05-fix-plugin-loading no longer necessary
  * bump policy
  * bump to debhelper 11
  * push cleaning list from debian/rules into debian/clean
  * patch around removal of . from latex2man search path
  * install examples and
  * install PDF format documentation

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Apr 2018 12:29:07 +0100

=== debian/control ===
Source: pstoedit
Section: graphics
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 11), dh-buildinfo, docbook-to-man,
 g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
 libplot-dev (>= 2.4.1-14), libpng-dev, ghostscript,
 pkg-config, texlive-extra-utils,
 libzip-dev,
 libgd-dev,
 libemf-dev [alpha amd64 arm armeb armel armhf arm64 i386 powerpc powerpcel powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
Homepage: http://www.pstoedit.net/
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/debian/pstoedit.git
Vcs-Browser: https://salsa.debian.org/debian/pstoedit

Package: libpstoedit-dev
Section: libdevel
Architecture: any
Depends: libpstoedit0c2a (= ${binary:Version}), ${misc:Depends}, libmagick++-dev, libplot-dev (>= 2.4.1-14)
Description: PostScript to editable vector graphics library (development files)
 pstoedit is a framework for converting Postscript and PDF files to various
 editable vector graphic formats.
 .
 This package contains files to build programs that use libpstoedit.

Package: libpstoedit0c2a
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libpstoedit0, libpstoedit0c2
Replaces: libpstoedit-dev (<= 3.32-3), libpstoedit0, libpstoedit0c2
Description: PostScript to editable vector graphics library (runtime files)
 pstoedit is a framework for converting Postscript and PDF files to various
 editable vector graphic formats.

Package: pstoedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript
Suggests: xfig|ivtools-bin|tgif|transfig
Description: PostScript and PDF files to editable vector graphics converter
 pstoedit converts Postscript and PDF files to various editable
 vector graphic formats including tgif, xfig, PDF graphics, gnuplot format,
 idraw, MetaPost, GNU Metafile, PIC, Kontour and flattened PostScript.

## pstoedit 3.74

=== debian/changelog ===
pstoedit (3.74-1) unstable; urgency=medium

  * new upstream version
  * bump policy version
  * bump debhelper version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Jun 2019 19:57:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11), dh-buildinfo, docbook-to-man,
+Build-Depends: debhelper-compat (= 12), dh-buildinfo, docbook-to-man,
  g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
  libplot-dev (>= 2.4.1-14), libpng-dev, ghostscript,
  pkg-config, texlive-extra-utils,
@@ -10,7 +10,7 @@
  libgd-dev,
  libemf-dev [alpha amd64 arm armeb armel armhf arm64 i386 powerpc powerpcel powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
 Homepage: http://www.pstoedit.net/
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/pstoedit.git
 Vcs-Browser: https://salsa.debian.org/debian/pstoedit

## pstoedit 3.75

=== debian/changelog ===
pstoedit (3.75-1) unstable; urgency=medium

  * new upstream version (closes: #945490)
  * bump policy version
  * build dependency for pdflatex support files
  * multiarch support
  * add rules-requires-root control field

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jan 2020 17:40:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: graphics
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12), dh-buildinfo, docbook-to-man,
  g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
  libplot-dev (>= 2.4.1-14), libpng-dev, ghostscript,
- pkg-config, texlive-extra-utils,
+ pkg-config,
+ texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils,
  libzip-dev,
  libgd-dev,
  libemf-dev [alpha amd64 arm armeb armel armhf arm64 i386 powerpc powerpcel powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
 Homepage: http://www.pstoedit.net/
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/pstoedit.git
 Vcs-Browser: https://salsa.debian.org/debian/pstoedit
 
 Package: libpstoedit-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libpstoedit0c2a (= ${binary:Version}), ${misc:Depends}, libmagick++-dev, libplot-dev (>= 2.4.1-14)
 Description: PostScript to editable vector graphics library (development files)
  pstoedit is a framework for converting Postscript and PDF files to various
@@ -27,6 +30,7 @@
 Package: libpstoedit0c2a
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libpstoedit0, libpstoedit0c2

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

export DEB_CXXFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-O1

ifeq ($(DEB_BUILD_ARCH_OS),hurd)
export DEB_CXXFLAGS_MAINT_APPEND += -lpthread
endif

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	@echo "Clearing .la files dependency_libs fields per Debian policy"	
	sed --in-place "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pstoedit/*.la

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.htm

override_dh_compress:
	dh_compress --exclude=.ps --exclude=.pdf

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*)(@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@)/download% $1%" \
 http://sourceforge.net/projects/@PACKAGE@/files/@PACKAGE@/@ANY_VERSION@/ \
 (?:.*)@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@/download debian uupdate

## pstoedit 3.77

=== debian/changelog ===
pstoedit (3.77-1deepin1+rb4) unstable; urgency=medium

  * Fix build with GCC 12

 -- Clansty <i@gao4.pw>  Mon, 09 Jan 2023 18:29:14 +0800

pstoedit (3.77-1) unstable; urgency=medium

  * New upstream release
    - includes source file pstoedit.pro (closes: #951395)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 04 Sep 2021 20:06:23 +0100

pstoedit (3.76-1) unstable; urgency=medium

  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name (from
    ./configure).
  * Update standards version to 4.6.0, no changes needed.
  * New upstream version
  * Placate dh_missing
  * Spelling patch

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Sep 2021 11:54:15 +0100

## pstoedit 3.78

=== debian/changelog ===
pstoedit (3.78-2) unstable; urgency=medium

  * quilt patch to #include <memory> (closes: #1013018)
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Sep 2022 19:39:23 +0100

pstoedit (3.78-1) unstable; urgency=medium

  * New upstream release
  * Spelling patch upstreamed, delete

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Nov 2021 08:55:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12), dh-buildinfo, docbook-to-man,
+Build-Depends: debhelper-compat (= 13), dh-buildinfo, docbook-to-man,
  g++ (>= 4:4.0), libwmf-dev, libmagick++-dev,
  libplot-dev (>= 2.4.1-14), libpng-dev, ghostscript,
  pkg-config,
@@ -12,7 +12,7 @@
  libgd-dev,
  libemf-dev [alpha amd64 arm armeb armel armhf arm64 i386 powerpc powerpcel powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
 Homepage: http://www.pstoedit.net/
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/pstoedit.git
 Vcs-Browser: https://salsa.debian.org/debian/pstoedit

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,8 @@
 %:
 	dh $@
 
-override_dh_auto_install:
-	dh_auto_install
-	@echo "Clearing .la files dependency_libs fields per Debian policy"	
+execute_after_dh_auto_install:
+	@echo "Clearing .la files dependency_libs fields per Debian policy"
 	sed --in-place "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pstoedit/*.la
 
 override_dh_installchangelogs:

## pstoedit 4.00

=== debian/changelog ===
pstoedit (4.00-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:41:16 +1100

pstoedit (4.00-1.1build1) noble; urgency=medium

  * No-change rebuild against libzip t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:24:12 +0100

pstoedit (4.00-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063292

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:20:12 +0000

pstoedit (4.00-1) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * Merge janitor removal of obsolete version constraints.
  * New upstream release
  * Adjust packaging scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 15 Jun 2023 14:56:49 +0100

=== debian/control ===
Source: pstoedit
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Rules-Requires-Root: no
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-buildinfo, docbook-to-man, libwmf-dev, libmagick++-dev,
 libplot-dev, libpng-dev, ghostscript,
 pkg-config,
 texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils,
 libzip-dev,
 libgd-dev,
 libemf-dev [alpha amd64 arm armeb armel armhf arm64 i386 powerpc powerpcel powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
Homepage: http://www.pstoedit.net/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/pstoedit.git
Vcs-Browser: https://salsa.debian.org/debian/pstoedit

Package: libpstoedit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpstoedit0t64 (= ${binary:Version}), ${misc:Depends}, libmagick++-dev, libplot-dev
Description: PostScript to editable vector graphics library (development files)
 pstoedit is a framework for converting Postscript and PDF files to various
 editable vector graphic formats.
 .
 This package contains files to build programs that use libpstoedit.

Package: libpstoedit0t64
Provides: ${t64:Provides}
X-Time64-Compat: libpstoedit0c2a
Breaks: libpstoedit0c2a (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libpstoedit0, libpstoedit0c2
Replaces: libpstoedit0c2a, libpstoedit0, libpstoedit0c2
Description: PostScript to editable vector graphics library (runtime files)
 pstoedit is a framework for converting Postscript and PDF files to various
 editable vector graphic formats.

Package: pstoedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript
Suggests: xfig|ivtools-bin|tgif|transfig
Description: PostScript and PDF files to editable vector graphics converter
 pstoedit converts Postscript and PDF files to various editable
 vector graphic formats including tgif, xfig, PDF graphics, gnuplot format,
 idraw, MetaPost, GNU Metafile, PIC, Kontour and flattened PostScript.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export DEB_CXXFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-O1
-
 ifeq ($(DEB_BUILD_ARCH_OS),hurd)
 export DEB_CXXFLAGS_MAINT_APPEND += -lpthread
 endif
@@ -16,9 +14,21 @@
 %:
 	dh $@
 
+# execute_after_dh_auto_build:
+# 	@echo "Build Qt-based GUI frontend."
+# 	cd QT/PstoeditQtGui &&
+# 	 qmake6 PstoeditQtGui.pro &&
+# 	 $(MAKE)
+
+# echo "QT/PstoeditQtGui/PstoeditQtGui /usr/bin/" >> debian/pstoedit-gui.install
+
 execute_after_dh_auto_install:
 	@echo "Clearing .la files dependency_libs fields per Debian policy"
 	sed --in-place "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pstoedit/*.la
+
+execute_after_dh_installexamples:
+	@echo "Upstream tarball has +x set on non-executable files, need to clear if installed."
+	chmod --verbose a-x debian/pstoedit/usr/share/doc/pstoedit/examples/*.ps
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changelog.htm

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*)(@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@)/download% $1%" \
 https://sourceforge.net/projects/@PACKAGE@/files/@PACKAGE@/@ANY_VERSION@/ \
 (?:.*)@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@/download debian uupdate

## pstoedit 4.01

=== debian/changelog ===
pstoedit (4.01-1) unstable; urgency=medium

  * Rewrite debian/copyright using standard format
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Apr 2024 20:59:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pstoedit
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Rules-Requires-Root: no
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-buildinfo, docbook-to-man, libwmf-dev, libmagick++-dev,
  libplot-dev, libpng-dev, ghostscript,

## pstoedit 4.02

=== debian/changelog ===
pstoedit (4.02-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * remove obsolete & stubbed dh-buildinfo build dependency

  [ Barak A. Pearlmutter ]
  * RRR:no is now the default
  * bump policy

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 18:25:40 +0200

pstoedit (4.02-1) unstable; urgency=medium

  * New upstream release
  * Generate and package GUI executable, which is now enabled by default.
  * Minor packaging script updates

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 Nov 2024 18:44:11 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: graphics
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Rules-Requires-Root: no
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-buildinfo, docbook-to-man, libwmf-dev, libmagick++-dev,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), docbook-to-man, libwmf-dev, libmagick++-dev,
  libplot-dev, libpng-dev, ghostscript,
- pkg-config,
+ pkgconf,
  texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils,
  libzip-dev,
  libgd-dev,
  libemf-dev [alpha amd64 arm armeb armel armhf arm64 i386 powerpc powerpcel powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
+ qt6-base-dev,
+ chrpath,
 Homepage: http://www.pstoedit.net/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/pstoedit.git
 Vcs-Browser: https://salsa.debian.org/debian/pstoedit
 
@@ -49,3 +50,13 @@
  pstoedit converts Postscript and PDF files to various editable
  vector graphic formats including tgif, xfig, PDF graphics, gnuplot format,
  idraw, MetaPost, GNU Metafile, PIC, Kontour and flattened PostScript.
+
+Package: pstoedit-gui
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript
+Description: PostScript and PDF files to editable vector graphics converter GUI
+ pstoedit converts Postscript and PDF files to various editable
+ vector graphic formats including tgif, xfig, PDF graphics, gnuplot format,
+ idraw, MetaPost, GNU Metafile, PIC, Kontour and flattened PostScript.
+ .
+ This package contains a GUI interface to that functionality.

=== debian/rules ===
--- 
+++ 
@@ -14,17 +14,11 @@
 %:
 	dh $@
 
-# execute_after_dh_auto_build:
-# 	@echo "Build Qt-based GUI frontend."
-# 	cd QT/PstoeditQtGui &&
-# 	 qmake6 PstoeditQtGui.pro &&
-# 	 $(MAKE)
-
-# echo "QT/PstoeditQtGui/PstoeditQtGui /usr/bin/" >> debian/pstoedit-gui.install
-
 execute_after_dh_auto_install:
 	@echo "Clearing .la files dependency_libs fields per Debian policy"
 	sed --in-place "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pstoedit/*.la
+	@echo "Clear rpath in GUI executable; remove if build system starts doing this itself."
+	-chrpath --delete debian/tmp/usr/bin/PstoeditQtGui
 
 execute_after_dh_installexamples:
 	@echo "Upstream tarball has +x set on non-executable files, need to clear if installed."

=== debian/watch ===
version=4
http://sf.net/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## pstoedit 4.3

=== debian/changelog ===
pstoedit (4.3-1) unstable; urgency=medium

  * New upstream release
  * Update packaging scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 14 Dec 2025 15:00:19 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,6 @@
 	@echo "Clear rpath in GUI executable; remove if build system starts doing this itself."
 	-chrpath --delete debian/tmp/usr/bin/PstoeditQtGui
 
-execute_after_dh_installexamples:
-	@echo "Upstream tarball has +x set on non-executable files, need to clear if installed."
-	chmod --verbose a-x debian/pstoedit/usr/share/doc/pstoedit/examples/*.ps
-
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changelog.htm

=== debian/watch ===
Version: 5
Template: GitHub
Owner: woglu
Project: pstoedit
